Bug 149672 - attempting to add two fence devices in a row without a cllick back to "Fence Device" causes a backtrace
Summary: attempting to add two fence devices in a row without a cllick back to "Fence ...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster   
(Show other bugs)
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-24 22:54 UTC by Corey Marthaler
Modified: 2009-04-16 20:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-13 22:39:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Corey Marthaler 2005-02-24 22:54:49 UTC
Description of problem:
I can add node after node without having to click 'Cluster Node' in
between each time, but if I try the same thing with Fence Devices I
see a trace back. The solution is to click 'Fence Devices' in between
each device add and this becomes quite slow and clunky.

Comment 1 Corey Marthaler 2005-02-24 22:55:28 UTC
Here's the trace back:

Traceback (most recent call last):
  File "/usr/share/system-config-cluster/ConfigTabController.py", line
745, in on_fd
    type = model.get_value(iter, TYPE_COL)
TypeError: iter must be a GtkTreeIter


Comment 2 Jim Parsons 2005-03-01 17:53:52 UTC
will fix

Comment 3 Jim Parsons 2005-03-28 16:12:41 UTC
It is no longer possible to generate this back trace when adding fence devices.
Fixed in 0.9.18

Comment 4 Corey Marthaler 2005-04-13 22:39:06 UTC
fix verified.


Note You need to log in before you can comment on or make changes to this bug.